package java.util;

import java.io.ObjectInputStream;
import java.io.NotSerializableException;
import java.io.ObjectOutputStream;
import java.io.IOException;

public class InvalidPropertiesFormatException extends IOException
{
    private static final long serialVersionUID = 7763056076009360219L;
    
    public InvalidPropertiesFormatException(Throwable cause) {
        super((cause == null) ? null : cause.toString());
        this.initCause(cause);
    }
    
    public InvalidPropertiesFormatException(String message) {
        super(message);
    }
    
    private void writeObject(ObjectOutputStream objectOutputStream) throws NotSerializableException {
        throw new NotSerializableException("Not serializable.");
    }
    
    private void readObject(ObjectInputStream objectInputStream) throws NotSerializableException {
        throw new NotSerializableException("Not serializable.");
    }
}
